Skip to Content

Engagement

GET /api/analytics/engagement

Krzywa retencji na sekundę dla jednego elementu treści.

Wymaga analytics.read. Zobacz Przegląd, aby poznać wspólne parametry i zakres kategorii.

Parametry

ParametrWymaganyOpis
contentIdTakId wideo lub id wydarzenia na żywo
contentTypeNievod (domyślnie) lub live
from, toNieZakres ISO 8601
maxSecondsNieOgranicz długość krzywej retencji

Żądanie

curl -X GET "https://app.ignitevideo.cloud/api/analytics/engagement?contentId=VIDEO_ID&contentType=vod" \ -H "Authorization: Bearer YOUR_API_KEY"

Odpowiedź

{ "contentType": "vod" | "live", "contentId": string, "from": string, "to": string, "totalSessions": number, "retention": [ { "second": number, "watched": number, "reached": number, "watchedRatio": number, "reachedRatio": number }, [...] ] }